/* Super sliders - toastr - modernizer - */
/*! Superslides - v0.6.2 - 2013-07-10
 * https://github.com/nicinabox/superslides
 * Copyright (c) 2013 Nic Aitch; Licensed MIT */
(function (i, t) {
    var n, e = "superslides";
    n = function (n, e) {
        this.options = t.extend({play: !1, animation_speed: 600, animation_easing: "swing", animation: "slide", inherit_width_from: i, inherit_height_from: i, pagination: !0, hashchange: !1, scrollable: !0, elements: {preserve: ".preserve", nav: ".slides-navigation", container: ".slides-container", pagination: ".slides-pagination"}}, e);
        var s = this, o = t("<div>", {"class": "slides-control"}), a = 1;
        this.$el = t(n), this.$container = this.$el.find(this.options.elements.container);
        var r = function () {
            return a = s._findMultiplier(), s.$el.on("click", s.options.elements.nav + " a", function (i) {
                i.preventDefault(), s.stop(), t(this).hasClass("next") ? s.animate("next", function () {
                    s.start()
                }) : s.animate("prev", function () {
                    s.start()
                })
            }), t(document).on("keyup", function (i) {
                37 === i.keyCode && s.animate("prev"), 39 === i.keyCode && s.animate("next")
            }), t(i).on("resize", function () {
                setTimeout(function () {
                    var i = s.$container.children();
                    s.width = s._findWidth(), s.height = s._findHeight(), i.css({width: s.width, left: s.width}), s.css.containers(), s.css.images()
                }, 10)
            }), t(i).on("hashchange", function () {
                var i, t = s._parseHash();
                i = t && !isNaN(t) ? s._upcomingSlide(t - 1) : s._upcomingSlide(t), i >= 0 && i !== s.current && s.animate(i)
            }), s.pagination._events(), s.start(), s
        }, h = {containers: function () {
            s.init ? (s.$el.css({height: s.height}), s.$control.css({width: s.width * a, left: -s.width}), s.$container.css({})) : (t("body").css({margin: 0}), s.$el.css({position: "relative", overflow: "hidden", width: "100%", height: s.height}), s.$control.css({position: "relative", transform: "translate3d(0)", height: "100%", width: s.width * a, left: -s.width}), s.$container.css({display: "none", margin: "0", padding: "0", listStyle: "none", position: "relative", height: "100%"})), 1 === s.size() && s.$el.find(s.options.elements.nav).hide()
        }, images: function () {
            var i = s.$container.find("img").not(s.options.elements.preserve);
            i.removeAttr("width").removeAttr("height").css({"-webkit-backface-visibility": "hidden", "-ms-interpolation-mode": "bicubic", position: "absolute", left: "0", top: "0", "z-index": "-1", "max-width": "none"}), i.each(function () {
                var i = s.image._aspectRatio(this), n = this;
                if (t.data(this, "processed"))s.image._scale(n, i), s.image._center(n, i); else {
                    var e = new Image;
                    e.onload = function () {
                        s.image._scale(n, i), s.image._center(n, i), t.data(n, "processed", !0)
                    }, e.src = this.src
                }
            })
        }, children: function () {
            var i = s.$container.children();
            i.is("img") && (i.each(function () {
                if (t(this).is("img")) {
                    t(this).wrap("<div>");
                    var i = t(this).attr("id");
                    t(this).removeAttr("id"), t(this).parent().attr("id", i)
                }
            }), i = s.$container.children()), s.init || i.css({display: "none", left: 2 * s.width}), i.css({position: "absolute", overflow: "hidden", height: "100%", width: s.width, top: 0, zIndex: 0})
        }}, c = {slide: function (i, t) {
            var n = s.$container.children(), e = n.eq(i.upcoming_slide);
            e.css({left: i.upcoming_position, display: "block"}), s.$control.animate({left: i.offset}, s.options.animation_speed, s.options.animation_easing, function () {
                s.size() > 1 && (s.$control.css({left: -s.width}), n.eq(i.upcoming_slide).css({left: s.width, zIndex: 2}), i.outgoing_slide >= 0 && n.eq(i.outgoing_slide).css({left: s.width, display: "none", zIndex: 0})), t()
            })
        }, fade: function (i, t) {
            var n = this, e = n.$container.children(), s = e.eq(i.outgoing_slide), o = e.eq(i.upcoming_slide);
            o.css({left: this.width, opacity: 1, display: "block"}), i.outgoing_slide >= 0 ? s.animate({opacity: 0}, n.options.animation_speed, n.options.animation_easing, function () {
                n.size() > 1 && (e.eq(i.upcoming_slide).css({zIndex: 2}), i.outgoing_slide >= 0 && e.eq(i.outgoing_slide).css({opacity: 1, display: "none", zIndex: 0})), t()
            }) : (o.css({zIndex: 2}), t())
        }};
        c = t.extend(c, t.fn.superslides.fx);
        var d = {_centerY: function (i) {
            var n = t(i);
            n.css({top: (s.height - n.height()) / 2})
        }, _centerX: function (i) {
            var n = t(i);
            n.css({left: (s.width - n.width()) / 2})
        }, _center: function (i) {
            s.image._centerX(i), s.image._centerY(i)
        }, _aspectRatio: function (i) {
            if (!i.naturalHeight && !i.naturalWidth) {
                var t = new Image;
                t.src = i.src, i.naturalHeight = t.height, i.naturalWidth = t.width
            }
            return i.naturalHeight / i.naturalWidth
        }, _scale: function (i, n) {
            n = n || s.image._aspectRatio(i);
            var e = s.height / s.width, o = t(i);
            e > n ? o.css({height: s.height, width: s.height / n}) : o.css({height: s.width * n, width: s.width})
        }}, l = {_setCurrent: function (i) {
            if (s.$pagination) {
                var t = s.$pagination.children();
                t.removeClass("current"), t.eq(i).addClass("current")
            }
        }, _addItem: function (i) {
            var n = i + 1, e = n, o = s.$container.children().eq(i), a = o.attr("id");
            a && (e = a);
            var r = t("<a>", {href: "#" + e, text: e});
            r.appendTo(s.$pagination)
        }, _setup: function () {
            if (s.options.pagination && 1 !== s.size()) {
                var i = t("<nav>", {"class": s.options.elements.pagination.replace(/^\./, "")});
                s.$pagination = i.appendTo(s.$el);
                for (var n = 0; s.size() > n; n++)s.pagination._addItem(n)
            }
        }, _events: function () {
            s.$el.on("click", s.options.elements.pagination + " a", function (i) {
                i.preventDefault();
                var t = s._parseHash(this.hash), n = s._upcomingSlide(t - 1);
                n !== s.current && s.animate(n, function () {
                    s.start()
                })
            })
        }};
        return this.css = h, this.image = d, this.pagination = l, this.fx = c, this.animation = this.fx[this.options.animation], this.$control = this.$container.wrap(o).parent(".slides-control"), s._findPositions(), s.width = s._findWidth(), s.height = s._findHeight(), this.css.children(), this.css.containers(), this.css.images(), this.pagination._setup(), r()
    }, n.prototype = {_findWidth: function () {
        return t(this.options.inherit_width_from).width()
    }, _findHeight: function () {
        return t(this.options.inherit_height_from).height()
    }, _findMultiplier: function () {
        return 1 === this.size() ? 1 : 3
    }, _upcomingSlide: function (i) {
        if (/next/.test(i))return this._nextInDom();
        if (/prev/.test(i))return this._prevInDom();
        if (/\d/.test(i))return+i;
        if (i && /\w/.test(i)) {
            var t = this._findSlideById(i);
            return t >= 0 ? t : 0
        }
        return 0
    }, _findSlideById: function (i) {
        return this.$container.find("#" + i).index()
    }, _findPositions: function (i, t) {
        t = t || this, void 0 === i && (i = -1), t.current = i, t.next = t._nextInDom(), t.prev = t._prevInDom()
    }, _nextInDom: function () {
        var i = this.current + 1;
        return i === this.size() && (i = 0), i
    }, _prevInDom: function () {
        var i = this.current - 1;
        return 0 > i && (i = this.size() - 1), i
    }, _parseHash: function (t) {
        return t = t || i.location.hash, t = t.replace(/^#/, ""), t && !isNaN(+t) && (t = +t), t
    }, size: function () {
        return this.$container.children().length
    }, destroy: function () {
        return this.$el.removeData()
    }, update: function () {
        this.css.children(), this.css.containers(), this.css.images(), this.pagination._addItem(this.size()), this._findPositions(this.current), this.$el.trigger("updated.slides")
    }, stop: function () {
        clearInterval(this.play_id), delete this.play_id, this.$el.trigger("stopped.slides")
    }, start: function () {
        var n = this;
        n.options.hashchange ? t(i).trigger("hashchange") : this.animate(), this.options.play && (this.play_id && this.stop(), this.play_id = setInterval(function () {
            n.animate()
        }, this.options.play)), this.$el.trigger("started.slides")
    }, animate: function (t, n) {
        var e = this, s = {};
        if (!(this.animating || (this.animating = !0, void 0 === t && (t = "next"), s.upcoming_slide = this._upcomingSlide(t), s.upcoming_slide >= this.size()))) {
            if (s.outgoing_slide = this.current, s.upcoming_position = 2 * this.width, s.offset = -s.upcoming_position, ("prev" === t || s.outgoing_slide > t) && (s.upcoming_position = 0, s.offset = 0), e.size() > 1 && e.pagination._setCurrent(s.upcoming_slide), e.options.hashchange) {
                var o = s.upcoming_slide + 1, a = e.$container.children(":eq(" + s.upcoming_slide + ")").attr("id");
                i.location.hash = a ? a : o
            }
            e.$el.trigger("animating.slides", [s]), e.animation(s, function () {
                e._findPositions(s.upcoming_slide, e), "function" == typeof n && n(), e.animating = !1, e.$el.trigger("animated.slides"), e.init || (e.$el.trigger("init.slides"), e.init = !0, e.$container.fadeIn("fast"))
            })
        }
    }}, t.fn[e] = function (i, s) {
        var o = [];
        return this.each(function () {
            var a, r, h;
            return a = t(this), r = a.data(e), h = "object" == typeof i && i, r || (o = a.data(e, r = new n(this, h))), "string" == typeof i && (o = r[i], "function" == typeof o) ? o = o.call(r, s) : void 0
        }), o
    }, t.fn[e].fx = {}
})(this, jQuery);
!function (a) {
    a(["jquery"], function (a) {
        return function () {
            function b(a, b, c) {
                return j({type: r.error, iconClass: l().iconClasses.error, message: a, optionsOverride: c, title: b})
            }

            function c(a, b, c) {
                return j({type: r.info, iconClass: l().iconClasses.info, message: a, optionsOverride: c, title: b})
            }

            function d(a) {
                o = a
            }

            function e(a, b, c) {
                return j({type: r.success, iconClass: l().iconClasses.success, message: a, optionsOverride: c, title: b})
            }

            function f(a, b, c) {
                return j({type: r.warning, iconClass: l().iconClasses.warning, message: a, optionsOverride: c, title: b})
            }

            function g(b) {
                var c = l();
                return n || k(c), b && 0 === a(":focus", b).length ? (b[c.hideMethod]({duration: c.hideDuration, easing: c.hideEasing, complete: function () {
                    m(b)
                }}), void 0) : (n.children().length && n[c.hideMethod]({duration: c.hideDuration, easing: c.hideEasing, complete: function () {
                    n.remove()
                }}), void 0)
            }

            function h() {
                return{tapToDismiss: !0, toastClass: "toast", containerId: "toast-container", debug: !1, showMethod: "fadeIn", showDuration: 300, showEasing: "swing", onShown: void 0, hideMethod: "fadeOut", hideDuration: 1e3, hideEasing: "swing", onHidden: void 0, extendedTimeOut: 1e3, iconClasses: {error: "toast-error", info: "toast-info", success: "toast-success", warning: "toast-warning"}, iconClass: "toast-info", positionClass: "toast-top-right", timeOut: 5e3, titleClass: "toast-title", messageClass: "toast-message", target: "body", closeHtml: "<button>&times;</button>", newestOnTop: !0}
            }

            function i(a) {
                o && o(a)
            }

            function j(b) {
                function c(b) {
                    return!a(":focus", j).length || b ? j[f.hideMethod]({duration: f.hideDuration, easing: f.hideEasing, complete: function () {
                        m(j), f.onHidden && f.onHidden(), s.state = "hidden", s.endTime = new Date, i(s)
                    }}) : void 0
                }

                function d() {
                    (f.timeOut > 0 || f.extendedTimeOut > 0) && (h = setTimeout(c, f.extendedTimeOut))
                }

                function e() {
                    clearTimeout(h), j.stop(!0, !0)[f.showMethod]({duration: f.showDuration, easing: f.showEasing})
                }

                var f = l(), g = b.iconClass || f.iconClass;
                "undefined" != typeof b.optionsOverride && (f = a.extend(f, b.optionsOverride), g = b.optionsOverride.iconClass || g), q++, n = k(f);
                var h = null, j = a("<div/>"), o = a("<div/>"), p = a("<div/>"), r = a(f.closeHtml), s = {toastId: q, state: "visible", startTime: new Date, options: f, map: b};
                return b.iconClass && j.addClass(f.toastClass).addClass(g), b.title && (o.append(b.title).addClass(f.titleClass), j.append(o)), b.message && (p.append(b.message).addClass(f.messageClass), j.append(p)), f.closeButton && (r.addClass("toast-close-button"), j.prepend(r)), j.hide(), f.newestOnTop ? n.prepend(j) : n.append(j), j[f.showMethod]({duration: f.showDuration, easing: f.showEasing, complete: f.onShown}), f.timeOut > 0 && (h = setTimeout(c, f.timeOut)), j.hover(e, d), !f.onclick && f.tapToDismiss && j.click(c), f.closeButton && r && r.click(function (a) {
                    a.stopPropagation ? a.stopPropagation() : void 0 !== a.cancelBubble && a.cancelBubble !== !0 && (a.cancelBubble = !0), c(!0)
                }), f.onclick && j.click(function () {
                    f.onclick(), c()
                }), i(s), f.debug && console && console.log(s), j
            }

            function k(b) {
                return b || (b = l()), n = a("#" + b.containerId), n.length ? n : (n = a("<div/>").attr("id", b.containerId).addClass(b.positionClass), n.appendTo(a(b.target)), n)
            }

            function l() {
                return a.extend({}, h(), s.options)
            }

            function m(a) {
                n || (n = k()), a.is(":visible") || (a.remove(), a = null, 0 === n.children().length && n.remove())
            }

            var n, o, p = "2.0.1", q = 0, r = {error: "error", info: "info", success: "success", warning: "warning"}, s = {clear: g, error: b, getContainer: k, info: c, options: {}, subscribe: d, success: e, version: p, warning: f};
            return s
        }()
    })
}("function" == typeof define && define.amd ? define : function (a, b) {
    "undefined" != typeof module && module.exports ? module.exports = b(require(a[0])) : window.toastr = b(window.jQuery)
});
/* Modernizr 2.7.1 (Custom Build) | MIT & BSD
 * Build: http://modernizr.com/download/#-csstransforms3d-touch-teststyles-testprop-testallprops-prefixes-domprefixes
 */
;
window.Modernizr = function (a, b, c) {
    function y(a) {
        i.cssText = a
    }

    function z(a, b) {
        return y(l.join(a + ";") + (b || ""))
    }

    function A(a, b) {
        return typeof a === b
    }

    function B(a, b) {
        return!!~("" + a).indexOf(b)
    }

    function C(a, b) {
        for (var d in a) {
            var e = a[d];
            if (!B(e, "-") && i[e] !== c)return b == "pfx" ? e : !0
        }
        return!1
    }

    function D(a, b, d) {
        for (var e in a) {
            var f = b[a[e]];
            if (f !== c)return d === !1 ? a[e] : A(f, "function") ? f.bind(d || b) : f
        }
        return!1
    }

    function E(a, b, c) {
        var d = a.charAt(0).toUpperCase() + a.slice(1), e = (a + " " + n.join(d + " ") + d).split(" ");
        return A(b, "string") || A(b, "undefined") ? C(e, b) : (e = (a + " " + o.join(d + " ") + d).split(" "), D(e, b, c))
    }

    var d = "2.7.1", e = {}, f = b.documentElement, g = "modernizr", h = b.createElement(g), i = h.style, j, k = {}.toString, l = " -webkit- -moz- -o- -ms- ".split(" "), m = "Webkit Moz O ms", n = m.split(" "), o = m.toLowerCase().split(" "), p = {}, q = {}, r = {}, s = [], t = s.slice, u, v = function (a, c, d, e) {
        var h, i, j, k, l = b.createElement("div"), m = b.body, n = m || b.createElement("body");
        if (parseInt(d, 10))while (d--)j = b.createElement("div"), j.id = e ? e[d] : g + (d + 1), l.appendChild(j);
        return h = ["&#173;", '<style id="s', g, '">', a, "</style>"].join(""), l.id = g, (m ? l : n).innerHTML += h, n.appendChild(l), m || (n.style.background = "", n.style.overflow = "hidden", k = f.style.overflow, f.style.overflow = "hidden", f.appendChild(n)), i = c(l, a), m ? l.parentNode.removeChild(l) : (n.parentNode.removeChild(n), f.style.overflow = k), !!i
    }, w = {}.hasOwnProperty, x;
    !A(w, "undefined") && !A(w.call, "undefined") ? x = function (a, b) {
        return w.call(a, b)
    } : x = function (a, b) {
        return b in a && A(a.constructor.prototype[b], "undefined")
    }, Function.prototype.bind || (Function.prototype.bind = function (b) {
        var c = this;
        if (typeof c != "function")throw new TypeError;
        var d = t.call(arguments, 1), e = function () {
            if (this instanceof e) {
                var a = function () {
                };
                a.prototype = c.prototype;
                var f = new a, g = c.apply(f, d.concat(t.call(arguments)));
                return Object(g) === g ? g : f
            }
            return c.apply(b, d.concat(t.call(arguments)))
        };
        return e
    }), p.touch = function () {
        var c;
        return"ontouchstart"in a || a.DocumentTouch && b instanceof DocumentTouch ? c = !0 : v(["@media (", l.join("touch-enabled),("), g, ")", "{#modernizr{top:9px;position:absolute}}"].join(""), function (a) {
            c = a.offsetTop === 9
        }), c
    }, p.csstransforms3d = function () {
        var a = !!E("perspective");
        return a && "webkitPerspective"in f.style && v("@media (transform-3d),(-webkit-transform-3d){#modernizr{left:9px;position:absolute;height:3px;}}", function (b, c) {
            a = b.offsetLeft === 9 && b.offsetHeight === 3
        }), a
    };
    for (var F in p)x(p, F) && (u = F.toLowerCase(), e[u] = p[F](), s.push((e[u] ? "" : "no-") + u));
    return e.addTest = function (a, b) {
        if (typeof a == "object")for (var d in a)x(a, d) && e.addTest(d, a[d]); else {
            a = a.toLowerCase();
            if (e[a] !== c)return e;
            b = typeof b == "function" ? b() : b, typeof enableClasses != "undefined" && enableClasses && (f.className += " " + (b ? "" : "no-") + a), e[a] = b
        }
        return e
    }, y(""), h = j = null, e._version = d, e._prefixes = l, e._domPrefixes = o, e._cssomPrefixes = n, e.testProp = function (a) {
        return C([a])
    }, e.testAllProps = E, e.testStyles = v, e
}(this, this.document);
/* MD5 */
!function (n) {
    "use strict";
    function t(n, t) {
        var r = (65535 & n) + (65535 & t), e = (n >> 16) + (t >> 16) + (r >> 16);
        return e << 16 | 65535 & r
    }

    function r(n, t) {
        return n << t | n >>> 32 - t
    }

    function e(n, e, u, o, c, f) {
        return t(r(t(t(e, n), t(o, f)), c), u)
    }

    function u(n, t, r, u, o, c, f) {
        return e(t & r | ~t & u, n, t, o, c, f)
    }

    function o(n, t, r, u, o, c, f) {
        return e(t & u | r & ~u, n, t, o, c, f)
    }

    function c(n, t, r, u, o, c, f) {
        return e(t ^ r ^ u, n, t, o, c, f)
    }

    function f(n, t, r, u, o, c, f) {
        return e(r ^ (t | ~u), n, t, o, c, f)
    }

    function i(n, r) {
        n[r >> 5] |= 128 << r % 32, n[(r + 64 >>> 9 << 4) + 14] = r;
        var e, i, a, h, d, g = 1732584193, l = -271733879, v = -1732584194, C = 271733878;
        for (e = 0; e < n.length; e += 16)i = g, a = l, h = v, d = C, g = u(g, l, v, C, n[e], 7, -680876936), C = u(C, g, l, v, n[e + 1], 12, -389564586), v = u(v, C, g, l, n[e + 2], 17, 606105819), l = u(l, v, C, g, n[e + 3], 22, -1044525330), g = u(g, l, v, C, n[e + 4], 7, -176418897), C = u(C, g, l, v, n[e + 5], 12, 1200080426), v = u(v, C, g, l, n[e + 6], 17, -1473231341), l = u(l, v, C, g, n[e + 7], 22, -45705983), g = u(g, l, v, C, n[e + 8], 7, 1770035416), C = u(C, g, l, v, n[e + 9], 12, -1958414417), v = u(v, C, g, l, n[e + 10], 17, -42063), l = u(l, v, C, g, n[e + 11], 22, -1990404162), g = u(g, l, v, C, n[e + 12], 7, 1804603682), C = u(C, g, l, v, n[e + 13], 12, -40341101), v = u(v, C, g, l, n[e + 14], 17, -1502002290), l = u(l, v, C, g, n[e + 15], 22, 1236535329), g = o(g, l, v, C, n[e + 1], 5, -165796510), C = o(C, g, l, v, n[e + 6], 9, -1069501632), v = o(v, C, g, l, n[e + 11], 14, 643717713), l = o(l, v, C, g, n[e], 20, -373897302), g = o(g, l, v, C, n[e + 5], 5, -701558691), C = o(C, g, l, v, n[e + 10], 9, 38016083), v = o(v, C, g, l, n[e + 15], 14, -660478335), l = o(l, v, C, g, n[e + 4], 20, -405537848), g = o(g, l, v, C, n[e + 9], 5, 568446438), C = o(C, g, l, v, n[e + 14], 9, -1019803690), v = o(v, C, g, l, n[e + 3], 14, -187363961), l = o(l, v, C, g, n[e + 8], 20, 1163531501), g = o(g, l, v, C, n[e + 13], 5, -1444681467), C = o(C, g, l, v, n[e + 2], 9, -51403784), v = o(v, C, g, l, n[e + 7], 14, 1735328473), l = o(l, v, C, g, n[e + 12], 20, -1926607734), g = c(g, l, v, C, n[e + 5], 4, -378558), C = c(C, g, l, v, n[e + 8], 11, -2022574463), v = c(v, C, g, l, n[e + 11], 16, 1839030562), l = c(l, v, C, g, n[e + 14], 23, -35309556), g = c(g, l, v, C, n[e + 1], 4, -1530992060), C = c(C, g, l, v, n[e + 4], 11, 1272893353), v = c(v, C, g, l, n[e + 7], 16, -155497632), l = c(l, v, C, g, n[e + 10], 23, -1094730640), g = c(g, l, v, C, n[e + 13], 4, 681279174), C = c(C, g, l, v, n[e], 11, -358537222), v = c(v, C, g, l, n[e + 3], 16, -722521979), l = c(l, v, C, g, n[e + 6], 23, 76029189), g = c(g, l, v, C, n[e + 9], 4, -640364487), C = c(C, g, l, v, n[e + 12], 11, -421815835), v = c(v, C, g, l, n[e + 15], 16, 530742520), l = c(l, v, C, g, n[e + 2], 23, -995338651), g = f(g, l, v, C, n[e], 6, -198630844), C = f(C, g, l, v, n[e + 7], 10, 1126891415), v = f(v, C, g, l, n[e + 14], 15, -1416354905), l = f(l, v, C, g, n[e + 5], 21, -57434055), g = f(g, l, v, C, n[e + 12], 6, 1700485571), C = f(C, g, l, v, n[e + 3], 10, -1894986606), v = f(v, C, g, l, n[e + 10], 15, -1051523), l = f(l, v, C, g, n[e + 1], 21, -2054922799), g = f(g, l, v, C, n[e + 8], 6, 1873313359), C = f(C, g, l, v, n[e + 15], 10, -30611744), v = f(v, C, g, l, n[e + 6], 15, -1560198380), l = f(l, v, C, g, n[e + 13], 21, 1309151649), g = f(g, l, v, C, n[e + 4], 6, -145523070), C = f(C, g, l, v, n[e + 11], 10, -1120210379), v = f(v, C, g, l, n[e + 2], 15, 718787259), l = f(l, v, C, g, n[e + 9], 21, -343485551), g = t(g, i), l = t(l, a), v = t(v, h), C = t(C, d);
        return[g, l, v, C]
    }

    function a(n) {
        var t, r = "";
        for (t = 0; t < 32 * n.length; t += 8)r += String.fromCharCode(255 & n[t >> 5] >>> t % 32);
        return r
    }

    function h(n) {
        var t, r = [];
        for (r[(n.length >> 2) - 1] = void 0, t = 0; t < r.length; t += 1)r[t] = 0;
        for (t = 0; t < 8 * n.length; t += 8)r[t >> 5] |= (255 & n.charCodeAt(t / 8)) << t % 32;
        return r
    }

    function d(n) {
        return a(i(h(n), 8 * n.length))
    }

    function g(n, t) {
        var r, e, u = h(n), o = [], c = [];
        for (o[15] = c[15] = void 0, u.length > 16 && (u = i(u, 8 * n.length)), r = 0; 16 > r; r += 1)o[r] = 909522486 ^ u[r], c[r] = 1549556828 ^ u[r];
        return e = i(o.concat(h(t)), 512 + 8 * t.length), a(i(c.concat(e), 640))
    }

    function l(n) {
        var t, r, e = "0123456789abcdef", u = "";
        for (r = 0; r < n.length; r += 1)t = n.charCodeAt(r), u += e.charAt(15 & t >>> 4) + e.charAt(15 & t);
        return u
    }

    function v(n) {
        return unescape(encodeURIComponent(n))
    }

    function C(n) {
        return d(v(n))
    }

    function m(n) {
        return l(C(n))
    }

    function s(n, t) {
        return g(v(n), v(t))
    }

    function A(n, t) {
        return l(s(n, t))
    }

    function p(n, t, r) {
        return t ? r ? s(t, n) : A(t, n) : r ? C(n) : m(n)
    }

    "function" == typeof define && define.amd ? define(function () {
        return p
    }) : n.md5 = p
}(this);
//fgnass.github.com/spin.js#v2.0.0
!function (a, b) {
    "object" == typeof exports ? module.exports = b() : "function" == typeof define && define.amd ? define(b) : a.Spinner = b()
}(this, function () {
    "use strict";
    function a(a, b) {
        var c, d = document.createElement(a || "div");
        for (c in b)d[c] = b[c];
        return d
    }

    function b(a) {
        for (var b = 1, c = arguments.length; c > b; b++)a.appendChild(arguments[b]);
        return a
    }

    function c(a, b, c, d) {
        var e = ["opacity", b, ~~(100 * a), c, d].join("-"), f = .01 + c / d * 100, g = Math.max(1 - (1 - a) / b * (100 - f), a), h = j.substring(0, j.indexOf("Animation")).toLowerCase(), i = h && "-" + h + "-" || "";
        return l[e] || (m.insertRule("@" + i + "keyframes " + e + "{0%{opacity:" + g + "}" + f + "%{opacity:" + a + "}" + (f + .01) + "%{opacity:1}" + (f + b) % 100 + "%{opacity:" + a + "}100%{opacity:" + g + "}}", m.cssRules.length), l[e] = 1), e
    }

    function d(a, b) {
        var c, d, e = a.style;
        for (b = b.charAt(0).toUpperCase() + b.slice(1), d = 0; d < k.length; d++)if (c = k[d] + b, void 0 !== e[c])return c;
        return void 0 !== e[b] ? b : void 0
    }

    function e(a, b) {
        for (var c in b)a.style[d(a, c) || c] = b[c];
        return a
    }

    function f(a) {
        for (var b = 1; b < arguments.length; b++) {
            var c = arguments[b];
            for (var d in c)void 0 === a[d] && (a[d] = c[d])
        }
        return a
    }

    function g(a, b) {
        return"string" == typeof a ? a : a[b % a.length]
    }

    function h(a) {
        this.opts = f(a || {}, h.defaults, n)
    }

    function i() {
        function c(b, c) {
            return a("<" + b + ' xmlns="urn:schemas-microsoft.com:vml" class="spin-vml">', c)
        }

        m.addRule(".spin-vml", "behavior:url(#default#VML)"), h.prototype.lines = function (a, d) {
            function f() {
                return e(c("group", {coordsize: k + " " + k, coordorigin: -j + " " + -j}), {width: k, height: k})
            }

            function h(a, h, i) {
                b(m, b(e(f(), {rotation: 360 / d.lines * a + "deg", left: ~~h}), b(e(c("roundrect", {arcsize: d.corners}), {width: j, height: d.width, left: d.radius, top: -d.width >> 1, filter: i}), c("fill", {color: g(d.color, a), opacity: d.opacity}), c("stroke", {opacity: 0}))))
            }

            var i, j = d.length + d.width, k = 2 * j, l = 2 * -(d.width + d.length) + "px", m = e(f(), {position: "absolute", top: l, left: l});
            if (d.shadow)for (i = 1; i <= d.lines; i++)h(i, -2, "progid:DXImageTransform.Microsoft.Blur(pixelradius=2,makeshadow=1,shadowopacity=.3)");
            for (i = 1; i <= d.lines; i++)h(i);
            return b(a, m)
        }, h.prototype.opacity = function (a, b, c, d) {
            var e = a.firstChild;
            d = d.shadow && d.lines || 0, e && b + d < e.childNodes.length && (e = e.childNodes[b + d], e = e && e.firstChild, e = e && e.firstChild, e && (e.opacity = c))
        }
    }

    var j, k = ["webkit", "Moz", "ms", "O"], l = {}, m = function () {
        var c = a("style", {type: "text/css"});
        return b(document.getElementsByTagName("head")[0], c), c.sheet || c.styleSheet
    }(), n = {lines: 12, length: 7, width: 5, radius: 10, rotate: 0, corners: 1, color: "#000", direction: 1, speed: 1, trail: 100, opacity: .25, fps: 20, zIndex: 2e9, className: "spinner", top: "50%", left: "50%", position: "absolute"};
    h.defaults = {}, f(h.prototype, {spin: function (b) {
        this.stop();
        {
            var c = this, d = c.opts, f = c.el = e(a(0, {className: d.className}), {position: d.position, width: 0, zIndex: d.zIndex});
            d.radius + d.length + d.width
        }
        if (b && (b.insertBefore(f, b.firstChild || null), e(f, {left: d.left, top: d.top})), f.setAttribute("role", "progressbar"), c.lines(f, c.opts), !j) {
            var g, h = 0, i = (d.lines - 1) * (1 - d.direction) / 2, k = d.fps, l = k / d.speed, m = (1 - d.opacity) / (l * d.trail / 100), n = l / d.lines;
            !function o() {
                h++;
                for (var a = 0; a < d.lines; a++)g = Math.max(1 - (h + (d.lines - a) * n) % l * m, d.opacity), c.opacity(f, a * d.direction + i, g, d);
                c.timeout = c.el && setTimeout(o, ~~(1e3 / k))
            }()
        }
        return c
    }, stop: function () {
        var a = this.el;
        return a && (clearTimeout(this.timeout), a.parentNode && a.parentNode.removeChild(a), this.el = void 0), this
    }, lines: function (d, f) {
        function h(b, c) {
            return e(a(), {position: "absolute", width: f.length + f.width + "px", height: f.width + "px", background: b, boxShadow: c, transformOrigin: "left", transform: "rotate(" + ~~(360 / f.lines * k + f.rotate) + "deg) translate(" + f.radius + "px,0)", borderRadius: (f.corners * f.width >> 1) + "px"})
        }

        for (var i, k = 0, l = (f.lines - 1) * (1 - f.direction) / 2; k < f.lines; k++)i = e(a(), {position: "absolute", top: 1 + ~(f.width / 2) + "px", transform: f.hwaccel ? "translate3d(0,0,0)" : "", opacity: f.opacity, animation: j && c(f.opacity, f.trail, l + k * f.direction, f.lines) + " " + 1 / f.speed + "s linear infinite"}), f.shadow && b(i, e(h("#000", "0 0 4px #000"), {top: "2px"})), b(d, b(i, h(g(f.color, k), "0 0 1px rgba(0,0,0,.1)")));
        return d
    }, opacity: function (a, b, c) {
        b < a.childNodes.length && (a.childNodes[b].style.opacity = c)
    }});
    var o = e(a("group"), {behavior: "url(#default#VML)"});
    return!d(o, "transform") && o.adj ? i() : j = d(o, "animation"), h
});
(function (e) {
    if (typeof exports == "object") {
        e(require("jquery"), require("spin"))
    } else if (typeof define == "function" && define.amd) {
        define(["jquery", "spin"], e)
    } else {
        if (!window.Spinner)throw new Error("Spin.js not present");
        e(window.jQuery, window.Spinner)
    }
})(function (e, t) {
    e.fn.spin = function (n, r) {
        return this.each(function () {
            var i = e(this), s = i.data();
            if (s.spinner) {
                s.spinner.stop();
                delete s.spinner
            }
            if (n !== false) {
                n = e.extend({color: r || i.css("color")}, e.fn.spin.presets[n] || n);
                s.spinner = (new t(n)).spin(this)
            }
        })
    };
    e.fn.spin.presets = {tiny: {lines: 8, length: 2, width: 2, radius: 3}, small: {lines: 8, length: 4, width: 3, radius: 5}, large: {lines: 10, length: 8, width: 4, radius: 8}}
})
//     Underscore.js 1.6.0
//     http://underscorejs.org
//     (c) 2009-2014 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
//     Underscore may be freely distributed under the MIT license.
(function () {
    var n = this, t = n._, r = {}, e = Array.prototype, u = Object.prototype, i = Function.prototype, a = e.push, o = e.slice, c = e.concat, l = u.toString, f = u.hasOwnProperty, s = e.forEach, p = e.map, h = e.reduce, v = e.reduceRight, g = e.filter, d = e.every, m = e.some, y = e.indexOf, b = e.lastIndexOf, x = Array.isArray, w = Object.keys, _ = i.bind, j = function (n) {
        return n instanceof j ? n : this instanceof j ? void(this._wrapped = n) : new j(n)
    };
    "undefined" != typeof exports ? ("undefined" != typeof module && module.exports && (exports = module.exports = j), exports._ = j) : n._ = j, j.VERSION = "1.6.0";
    var A = j.each = j.forEach = function (n, t, e) {
        if (null == n)return n;
        if (s && n.forEach === s)n.forEach(t, e); else if (n.length === +n.length) {
            for (var u = 0, i = n.length; i > u; u++)if (t.call(e, n[u], u, n) === r)return
        } else for (var a = j.keys(n), u = 0, i = a.length; i > u; u++)if (t.call(e, n[a[u]], a[u], n) === r)return;
        return n
    };
    j.map = j.collect = function (n, t, r) {
        var e = [];
        return null == n ? e : p && n.map === p ? n.map(t, r) : (A(n, function (n, u, i) {
            e.push(t.call(r, n, u, i))
        }), e)
    };
    var O = "Reduce of empty array with no initial value";
    j.reduce = j.foldl = j.inject = function (n, t, r, e) {
        var u = arguments.length > 2;
        if (null == n && (n = []), h && n.reduce === h)return e && (t = j.bind(t, e)), u ? n.reduce(t, r) : n.reduce(t);
        if (A(n, function (n, i, a) {
            u ? r = t.call(e, r, n, i, a) : (r = n, u = !0)
        }), !u)throw new TypeError(O);
        return r
    }, j.reduceRight = j.foldr = function (n, t, r, e) {
        var u = arguments.length > 2;
        if (null == n && (n = []), v && n.reduceRight === v)return e && (t = j.bind(t, e)), u ? n.reduceRight(t, r) : n.reduceRight(t);
        var i = n.length;
        if (i !== +i) {
            var a = j.keys(n);
            i = a.length
        }
        if (A(n, function (o, c, l) {
            c = a ? a[--i] : --i, u ? r = t.call(e, r, n[c], c, l) : (r = n[c], u = !0)
        }), !u)throw new TypeError(O);
        return r
    }, j.find = j.detect = function (n, t, r) {
        var e;
        return k(n, function (n, u, i) {
            return t.call(r, n, u, i) ? (e = n, !0) : void 0
        }), e
    }, j.filter = j.select = function (n, t, r) {
        var e = [];
        return null == n ? e : g && n.filter === g ? n.filter(t, r) : (A(n, function (n, u, i) {
            t.call(r, n, u, i) && e.push(n)
        }), e)
    }, j.reject = function (n, t, r) {
        return j.filter(n, function (n, e, u) {
            return!t.call(r, n, e, u)
        }, r)
    }, j.every = j.all = function (n, t, e) {
        t || (t = j.identity);
        var u = !0;
        return null == n ? u : d && n.every === d ? n.every(t, e) : (A(n, function (n, i, a) {
            return(u = u && t.call(e, n, i, a)) ? void 0 : r
        }), !!u)
    };
    var k = j.some = j.any = function (n, t, e) {
        t || (t = j.identity);
        var u = !1;
        return null == n ? u : m && n.some === m ? n.some(t, e) : (A(n, function (n, i, a) {
            return u || (u = t.call(e, n, i, a)) ? r : void 0
        }), !!u)
    };
    j.contains = j.include = function (n, t) {
        return null == n ? !1 : y && n.indexOf === y ? n.indexOf(t) != -1 : k(n, function (n) {
            return n === t
        })
    }, j.invoke = function (n, t) {
        var r = o.call(arguments, 2), e = j.isFunction(t);
        return j.map(n, function (n) {
            return(e ? t : n[t]).apply(n, r)
        })
    }, j.pluck = function (n, t) {
        return j.map(n, j.property(t))
    }, j.where = function (n, t) {
        return j.filter(n, j.matches(t))
    }, j.findWhere = function (n, t) {
        return j.find(n, j.matches(t))
    }, j.max = function (n, t, r) {
        if (!t && j.isArray(n) && n[0] === +n[0] && n.length < 65535)return Math.max.apply(Math, n);
        var e = -1 / 0, u = -1 / 0;
        return A(n, function (n, i, a) {
            var o = t ? t.call(r, n, i, a) : n;
            o > u && (e = n, u = o)
        }), e
    }, j.min = function (n, t, r) {
        if (!t && j.isArray(n) && n[0] === +n[0] && n.length < 65535)return Math.min.apply(Math, n);
        var e = 1 / 0, u = 1 / 0;
        return A(n, function (n, i, a) {
            var o = t ? t.call(r, n, i, a) : n;
            u > o && (e = n, u = o)
        }), e
    }, j.shuffle = function (n) {
        var t, r = 0, e = [];
        return A(n, function (n) {
            t = j.random(r++), e[r - 1] = e[t], e[t] = n
        }), e
    }, j.sample = function (n, t, r) {
        return null == t || r ? (n.length !== +n.length && (n = j.values(n)), n[j.random(n.length - 1)]) : j.shuffle(n).slice(0, Math.max(0, t))
    };
    var E = function (n) {
        return null == n ? j.identity : j.isFunction(n) ? n : j.property(n)
    };
    j.sortBy = function (n, t, r) {
        return t = E(t), j.pluck(j.map(n, function (n, e, u) {
            return{value: n, index: e, criteria: t.call(r, n, e, u)}
        }).sort(function (n, t) {
            var r = n.criteria, e = t.criteria;
            if (r !== e) {
                if (r > e || r === void 0)return 1;
                if (e > r || e === void 0)return-1
            }
            return n.index - t.index
        }), "value")
    };
    var F = function (n) {
        return function (t, r, e) {
            var u = {};
            return r = E(r), A(t, function (i, a) {
                var o = r.call(e, i, a, t);
                n(u, o, i)
            }), u
        }
    };
    j.groupBy = F(function (n, t, r) {
        j.has(n, t) ? n[t].push(r) : n[t] = [r]
    }), j.indexBy = F(function (n, t, r) {
        n[t] = r
    }), j.countBy = F(function (n, t) {
        j.has(n, t) ? n[t]++ : n[t] = 1
    }), j.sortedIndex = function (n, t, r, e) {
        r = E(r);
        for (var u = r.call(e, t), i = 0, a = n.length; a > i;) {
            var o = i + a >>> 1;
            r.call(e, n[o]) < u ? i = o + 1 : a = o
        }
        return i
    }, j.toArray = function (n) {
        return n ? j.isArray(n) ? o.call(n) : n.length === +n.length ? j.map(n, j.identity) : j.values(n) : []
    }, j.size = function (n) {
        return null == n ? 0 : n.length === +n.length ? n.length : j.keys(n).length
    }, j.first = j.head = j.take = function (n, t, r) {
        return null == n ? void 0 : null == t || r ? n[0] : 0 > t ? [] : o.call(n, 0, t)
    }, j.initial = function (n, t, r) {
        return o.call(n, 0, n.length - (null == t || r ? 1 : t))
    }, j.last = function (n, t, r) {
        return null == n ? void 0 : null == t || r ? n[n.length - 1] : o.call(n, Math.max(n.length - t, 0))
    }, j.rest = j.tail = j.drop = function (n, t, r) {
        return o.call(n, null == t || r ? 1 : t)
    }, j.compact = function (n) {
        return j.filter(n, j.identity)
    };
    var M = function (n, t, r) {
        return t && j.every(n, j.isArray) ? c.apply(r, n) : (A(n, function (n) {
            j.isArray(n) || j.isArguments(n) ? t ? a.apply(r, n) : M(n, t, r) : r.push(n)
        }), r)
    };
    j.flatten = function (n, t) {
        return M(n, t, [])
    }, j.without = function (n) {
        return j.difference(n, o.call(arguments, 1))
    }, j.partition = function (n, t) {
        var r = [], e = [];
        return A(n, function (n) {
            (t(n) ? r : e).push(n)
        }), [r, e]
    }, j.uniq = j.unique = function (n, t, r, e) {
        j.isFunction(t) && (e = r, r = t, t = !1);
        var u = r ? j.map(n, r, e) : n, i = [], a = [];
        return A(u, function (r, e) {
            (t ? e && a[a.length - 1] === r : j.contains(a, r)) || (a.push(r), i.push(n[e]))
        }), i
    }, j.union = function () {
        return j.uniq(j.flatten(arguments, !0))
    }, j.intersection = function (n) {
        var t = o.call(arguments, 1);
        return j.filter(j.uniq(n), function (n) {
            return j.every(t, function (t) {
                return j.contains(t, n)
            })
        })
    }, j.difference = function (n) {
        var t = c.apply(e, o.call(arguments, 1));
        return j.filter(n, function (n) {
            return!j.contains(t, n)
        })
    }, j.zip = function () {
        for (var n = j.max(j.pluck(arguments, "length").concat(0)), t = new Array(n), r = 0; n > r; r++)t[r] = j.pluck(arguments, "" + r);
        return t
    }, j.object = function (n, t) {
        if (null == n)return{};
        for (var r = {}, e = 0, u = n.length; u > e; e++)t ? r[n[e]] = t[e] : r[n[e][0]] = n[e][1];
        return r
    }, j.indexOf = function (n, t, r) {
        if (null == n)return-1;
        var e = 0, u = n.length;
        if (r) {
            if ("number" != typeof r)return e = j.sortedIndex(n, t), n[e] === t ? e : -1;
            e = 0 > r ? Math.max(0, u + r) : r
        }
        if (y && n.indexOf === y)return n.indexOf(t, r);
        for (; u > e; e++)if (n[e] === t)return e;
        return-1
    }, j.lastIndexOf = function (n, t, r) {
        if (null == n)return-1;
        var e = null != r;
        if (b && n.lastIndexOf === b)return e ? n.lastIndexOf(t, r) : n.lastIndexOf(t);
        for (var u = e ? r : n.length; u--;)if (n[u] === t)return u;
        return-1
    }, j.range = function (n, t, r) {
        arguments.length <= 1 && (t = n || 0, n = 0), r = arguments[2] || 1;
        for (var e = Math.max(Math.ceil((t - n) / r), 0), u = 0, i = new Array(e); e > u;)i[u++] = n, n += r;
        return i
    };
    var R = function () {
    };
    j.bind = function (n, t) {
        var r, e;
        if (_ && n.bind === _)return _.apply(n, o.call(arguments, 1));
        if (!j.isFunction(n))throw new TypeError;
        return r = o.call(arguments, 2), e = function () {
            if (!(this instanceof e))return n.apply(t, r.concat(o.call(arguments)));
            R.prototype = n.prototype;
            var u = new R;
            R.prototype = null;
            var i = n.apply(u, r.concat(o.call(arguments)));
            return Object(i) === i ? i : u
        }
    }, j.partial = function (n) {
        var t = o.call(arguments, 1);
        return function () {
            for (var r = 0, e = t.slice(), u = 0, i = e.length; i > u; u++)e[u] === j && (e[u] = arguments[r++]);
            for (; r < arguments.length;)e.push(arguments[r++]);
            return n.apply(this, e)
        }
    }, j.bindAll = function (n) {
        var t = o.call(arguments, 1);
        if (0 === t.length)throw new Error("bindAll must be passed function names");
        return A(t, function (t) {
            n[t] = j.bind(n[t], n)
        }), n
    }, j.memoize = function (n, t) {
        var r = {};
        return t || (t = j.identity), function () {
            var e = t.apply(this, arguments);
            return j.has(r, e) ? r[e] : r[e] = n.apply(this, arguments)
        }
    }, j.delay = function (n, t) {
        var r = o.call(arguments, 2);
        return setTimeout(function () {
            return n.apply(null, r)
        }, t)
    }, j.defer = function (n) {
        return j.delay.apply(j, [n, 1].concat(o.call(arguments, 1)))
    }, j.throttle = function (n, t, r) {
        var e, u, i, a = null, o = 0;
        r || (r = {});
        var c = function () {
            o = r.leading === !1 ? 0 : j.now(), a = null, i = n.apply(e, u), e = u = null
        };
        return function () {
            var l = j.now();
            o || r.leading !== !1 || (o = l);
            var f = t - (l - o);
            return e = this, u = arguments, 0 >= f ? (clearTimeout(a), a = null, o = l, i = n.apply(e, u), e = u = null) : a || r.trailing === !1 || (a = setTimeout(c, f)), i
        }
    }, j.debounce = function (n, t, r) {
        var e, u, i, a, o, c = function () {
            var l = j.now() - a;
            t > l ? e = setTimeout(c, t - l) : (e = null, r || (o = n.apply(i, u), i = u = null))
        };
        return function () {
            i = this, u = arguments, a = j.now();
            var l = r && !e;
            return e || (e = setTimeout(c, t)), l && (o = n.apply(i, u), i = u = null), o
        }
    }, j.once = function (n) {
        var t, r = !1;
        return function () {
            return r ? t : (r = !0, t = n.apply(this, arguments), n = null, t)
        }
    }, j.wrap = function (n, t) {
        return j.partial(t, n)
    }, j.compose = function () {
        var n = arguments;
        return function () {
            for (var t = arguments, r = n.length - 1; r >= 0; r--)t = [n[r].apply(this, t)];
            return t[0]
        }
    }, j.after = function (n, t) {
        return function () {
            return--n < 1 ? t.apply(this, arguments) : void 0
        }
    }, j.keys = function (n) {
        if (!j.isObject(n))return[];
        if (w)return w(n);
        var t = [];
        for (var r in n)j.has(n, r) && t.push(r);
        return t
    }, j.values = function (n) {
        for (var t = j.keys(n), r = t.length, e = new Array(r), u = 0; r > u; u++)e[u] = n[t[u]];
        return e
    }, j.pairs = function (n) {
        for (var t = j.keys(n), r = t.length, e = new Array(r), u = 0; r > u; u++)e[u] = [t[u], n[t[u]]];
        return e
    }, j.invert = function (n) {
        for (var t = {}, r = j.keys(n), e = 0, u = r.length; u > e; e++)t[n[r[e]]] = r[e];
        return t
    }, j.functions = j.methods = function (n) {
        var t = [];
        for (var r in n)j.isFunction(n[r]) && t.push(r);
        return t.sort()
    }, j.extend = function (n) {
        return A(o.call(arguments, 1), function (t) {
            if (t)for (var r in t)n[r] = t[r]
        }), n
    }, j.pick = function (n) {
        var t = {}, r = c.apply(e, o.call(arguments, 1));
        return A(r, function (r) {
            r in n && (t[r] = n[r])
        }), t
    }, j.omit = function (n) {
        var t = {}, r = c.apply(e, o.call(arguments, 1));
        for (var u in n)j.contains(r, u) || (t[u] = n[u]);
        return t
    }, j.defaults = function (n) {
        return A(o.call(arguments, 1), function (t) {
            if (t)for (var r in t)n[r] === void 0 && (n[r] = t[r])
        }), n
    }, j.clone = function (n) {
        return j.isObject(n) ? j.isArray(n) ? n.slice() : j.extend({}, n) : n
    }, j.tap = function (n, t) {
        return t(n), n
    };
    var S = function (n, t, r, e) {
        if (n === t)return 0 !== n || 1 / n == 1 / t;
        if (null == n || null == t)return n === t;
        n instanceof j && (n = n._wrapped), t instanceof j && (t = t._wrapped);
        var u = l.call(n);
        if (u != l.call(t))return!1;
        switch (u) {
            case"[object String]":
                return n == String(t);
            case"[object Number]":
                return n != +n ? t != +t : 0 == n ? 1 / n == 1 / t : n == +t;
            case"[object Date]":
            case"[object Boolean]":
                return+n == +t;
            case"[object RegExp]":
                return n.source == t.source && n.global == t.global && n.multiline == t.multiline && n.ignoreCase == t.ignoreCase
        }
        if ("object" != typeof n || "object" != typeof t)return!1;
        for (var i = r.length; i--;)if (r[i] == n)return e[i] == t;
        var a = n.constructor, o = t.constructor;
        if (a !== o && !(j.isFunction(a) && a instanceof a && j.isFunction(o) && o instanceof o) && "constructor"in n && "constructor"in t)return!1;
        r.push(n), e.push(t);
        var c = 0, f = !0;
        if ("[object Array]" == u) {
            if (c = n.length, f = c == t.length)for (; c-- && (f = S(n[c], t[c], r, e)););
        } else {
            for (var s in n)if (j.has(n, s) && (c++, !(f = j.has(t, s) && S(n[s], t[s], r, e))))break;
            if (f) {
                for (s in t)if (j.has(t, s) && !c--)break;
                f = !c
            }
        }
        return r.pop(), e.pop(), f
    };
    j.isEqual = function (n, t) {
        return S(n, t, [], [])
    }, j.isEmpty = function (n) {
        if (null == n)return!0;
        if (j.isArray(n) || j.isString(n))return 0 === n.length;
        for (var t in n)if (j.has(n, t))return!1;
        return!0
    }, j.isElement = function (n) {
        return!(!n || 1 !== n.nodeType)
    }, j.isArray = x || function (n) {
        return"[object Array]" == l.call(n)
    }, j.isObject = function (n) {
        return n === Object(n)
    }, A(["Arguments", "Function", "String", "Number", "Date", "RegExp"], function (n) {
        j["is" + n] = function (t) {
            return l.call(t) == "[object " + n + "]"
        }
    }), j.isArguments(arguments) || (j.isArguments = function (n) {
        return!(!n || !j.has(n, "callee"))
    }), "function" != typeof/./ && (j.isFunction = function (n) {
        return"function" == typeof n
    }), j.isFinite = function (n) {
        return isFinite(n) && !isNaN(parseFloat(n))
    }, j.isNaN = function (n) {
        return j.isNumber(n) && n != +n
    }, j.isBoolean = function (n) {
        return n === !0 || n === !1 || "[object Boolean]" == l.call(n)
    }, j.isNull = function (n) {
        return null === n
    }, j.isUndefined = function (n) {
        return n === void 0
    }, j.has = function (n, t) {
        return f.call(n, t)
    }, j.noConflict = function () {
        return n._ = t, this
    }, j.identity = function (n) {
        return n
    }, j.constant = function (n) {
        return function () {
            return n
        }
    }, j.property = function (n) {
        return function (t) {
            return t[n]
        }
    }, j.matches = function (n) {
        return function (t) {
            if (t === n)return!0;
            for (var r in n)if (n[r] !== t[r])return!1;
            return!0
        }
    }, j.times = function (n, t, r) {
        for (var e = Array(Math.max(0, n)), u = 0; n > u; u++)e[u] = t.call(r, u);
        return e
    }, j.random = function (n, t) {
        return null == t && (t = n, n = 0), n + Math.floor(Math.random() * (t - n + 1))
    }, j.now = Date.now || function () {
        return(new Date).getTime()
    };
    var T = {escape: {"&": "&amp;", "<": "&lt;", ">": "&gt;", '"': "&quot;", "'": "&#x27;"}};
    T.unescape = j.invert(T.escape);
    var I = {escape: new RegExp("[" + j.keys(T.escape).join("") + "]", "g"), unescape: new RegExp("(" + j.keys(T.unescape).join("|") + ")", "g")};
    j.each(["escape", "unescape"], function (n) {
        j[n] = function (t) {
            return null == t ? "" : ("" + t).replace(I[n], function (t) {
                return T[n][t]
            })
        }
    }), j.result = function (n, t) {
        if (null == n)return void 0;
        var r = n[t];
        return j.isFunction(r) ? r.call(n) : r
    }, j.mixin = function (n) {
        A(j.functions(n), function (t) {
            var r = j[t] = n[t];
            j.prototype[t] = function () {
                var n = [this._wrapped];
                return a.apply(n, arguments), z.call(this, r.apply(j, n))
            }
        })
    };
    var N = 0;
    j.uniqueId = function (n) {
        var t = ++N + "";
        return n ? n + t : t
    }, j.templateSettings = {evaluate: /<%([\s\S]+?)%>/g, interpolate: /<%=([\s\S]+?)%>/g, escape: /<%-([\s\S]+?)%>/g};
    var q = /(.)^/, B = {"'": "'", "\\": "\\", "\r": "r", "\n": "n", "	": "t", "\u2028": "u2028", "\u2029": "u2029"}, D = /\\|'|\r|\n|\t|\u2028|\u2029/g;
    j.template = function (n, t, r) {
        var e;
        r = j.defaults({}, r, j.templateSettings);
        var u = new RegExp([(r.escape || q).source, (r.interpolate || q).source, (r.evaluate || q).source].join("|") + "|$", "g"), i = 0, a = "__p+='";
        n.replace(u, function (t, r, e, u, o) {
            return a += n.slice(i, o).replace(D, function (n) {
                return"\\" + B[n]
            }), r && (a += "'+\n((__t=(" + r + "))==null?'':_.escape(__t))+\n'"), e && (a += "'+\n((__t=(" + e + "))==null?'':__t)+\n'"), u && (a += "';\n" + u + "\n__p+='"), i = o + t.length, t
        }), a += "';\n", r.variable || (a = "with(obj||{}){\n" + a + "}\n"), a = "var __t,__p='',__j=Array.prototype.join," + "print=function(){__p+=__j.call(arguments,'');};\n" + a + "return __p;\n";
        try {
            e = new Function(r.variable || "obj", "_", a)
        } catch (o) {
            throw o.source = a, o
        }
        if (t)return e(t, j);
        var c = function (n) {
            return e.call(this, n, j)
        };
        return c.source = "function(" + (r.variable || "obj") + "){\n" + a + "}", c
    }, j.chain = function (n) {
        return j(n).chain()
    };
    var z = function (n) {
        return this._chain ? j(n).chain() : n
    };
    j.mixin(j), A(["pop", "push", "reverse", "shift", "sort", "splice", "unshift"], function (n) {
        var t = e[n];
        j.prototype[n] = function () {
            var r = this._wrapped;
            return t.apply(r, arguments), "shift" != n && "splice" != n || 0 !== r.length || delete r[0], z.call(this, r)
        }
    }), A(["concat", "join", "slice"], function (n) {
        var t = e[n];
        j.prototype[n] = function () {
            return z.call(this, t.apply(this._wrapped, arguments))
        }
    }), j.extend(j.prototype, {chain: function () {
        return this._chain = !0, this
    }, value: function () {
        return this._wrapped
    }}), "function" == typeof define && define.amd && define("underscore", [], function () {
        return j
    })
}).call(this);
/*!
 *  Sharrre.com - Make your sharing widget!
 *  Version: beta 1.3.5
 *  Author: Julien Hany
 *  License: MIT http://en.wikipedia.org/wiki/MIT_License or GPLv2 http://en.wikipedia.org/wiki/GNU_General_Public_License
 */
;
(function (g, i, j, b) {
    var h = "sharrre", f = {className: "sharrre", share: {googlePlus: false, facebook: false, twitter: false, digg: false, delicious: false, stumbleupon: false, linkedin: false, pinterest: false}, shareTotal: 0, template: "", title: "", url: j.location.href, text: j.title, urlCurl: "sharrre.php", count: {}, total: 0, shorterTotal: true, enableHover: true, enableCounter: true, enableTracking: false, hover: function () {
    }, hide: function () {
    }, click: function () {
    }, render: function () {
    }, buttons: {googlePlus: {url: "", urlCount: false, size: "medium", lang: "en-US", annotation: ""}, facebook: {url: "", urlCount: false, action: "like", layout: "button_count", width: "", send: "false", faces: "false", colorscheme: "", font: "", lang: "en_US"}, twitter: {url: "", urlCount: false, count: "horizontal", hashtags: "", via: "", related: "", lang: "en"}, digg: {url: "", urlCount: false, type: "DiggCompact"}, delicious: {url: "", urlCount: false, size: "medium"}, stumbleupon: {url: "", urlCount: false, layout: "1"}, linkedin: {url: "", urlCount: false, counter: ""}, pinterest: {url: "", media: "", description: "", layout: "horizontal"}}}, c = {googlePlus: "", facebook: "https://graph.facebook.com/fql?q=SELECT%20url,%20normalized_url,%20share_count,%20like_count,%20comment_count,%20total_count,commentsbox_count,%20comments_fbid,%20click_count%20FROM%20link_stat%20WHERE%20url=%27{url}%27&callback=?", twitter: "http://cdn.api.twitter.com/1/urls/count.json?url={url}&callback=?", digg: "http://services.digg.com/2.0/story.getInfo?links={url}&type=javascript&callback=?", delicious: "http://feeds.delicious.com/v2/json/urlinfo/data?url={url}&callback=?", stumbleupon: "", linkedin: "http://www.linkedin.com/countserv/count/share?format=jsonp&url={url}&callback=?", pinterest: "http://api.pinterest.com/v1/urls/count.json?url={url}&callback=?"}, l = {googlePlus: function (m) {
        var n = m.options.buttons.googlePlus;
        g(m.element).find(".buttons").append('<div class="button googleplus"><div class="g-plusone" data-size="' + n.size + '" data-href="' + (n.url !== "" ? n.url : m.options.url) + '" data-annotation="' + n.annotation + '"></div></div>');
        i.___gcfg = {lang: m.options.buttons.googlePlus.lang};
        var o = 0;
        if (typeof gapi === "undefined" && o == 0) {
            o = 1;
            (function () {
                var p = j.createElement("script");
                p.type = "text/javascript";
                p.async = true;
                p.src = "//apis.google.com/js/plusone.js";
                var q = j.getElementsByTagName("script")[0];
                q.parentNode.insertBefore(p, q)
            })()
        } else {
            gapi.plusone.go()
        }
    }, facebook: function (m) {
        var n = m.options.buttons.facebook;
        g(m.element).find(".buttons").append('<div class="button facebook"><div id="fb-root"></div><div class="fb-like" data-href="' + (n.url !== "" ? n.url : m.options.url) + '" data-send="' + n.send + '" data-layout="' + n.layout + '" data-width="' + n.width + '" data-show-faces="' + n.faces + '" data-action="' + n.action + '" data-colorscheme="' + n.colorscheme + '" data-font="' + n.font + '" data-via="' + n.via + '"></div></div>');
        var o = 0;
        if (typeof FB === "undefined" && o == 0) {
            o = 1;
            (function (t, p, u) {
                var r, q = t.getElementsByTagName(p)[0];
                if (t.getElementById(u)) {
                    return
                }
                r = t.createElement(p);
                r.id = u;
                r.src = "//connect.facebook.net/" + n.lang + "/all.js#xfbml=1";
                q.parentNode.insertBefore(r, q)
            }(j, "script", "facebook-jssdk"))
        } else {
            FB.XFBML.parse()
        }
    }, twitter: function (m) {
        var n = m.options.buttons.twitter;
        g(m.element).find(".buttons").append('<div class="button twitter"><a href="https://twitter.com/share" class="twitter-share-button" data-url="' + (n.url !== "" ? n.url : m.options.url) + '" data-count="' + n.count + '" data-text="' + m.options.text + '" data-via="' + n.via + '" data-hashtags="' + n.hashtags + '" data-related="' + n.related + '" data-lang="' + n.lang + '">Tweet</a></div>');
        var o = 0;
        if (typeof twttr === "undefined" && o == 0) {
            o = 1;
            (function () {
                var q = j.createElement("script");
                q.type = "text/javascript";
                q.async = true;
                q.src = "//platform.twitter.com/widgets.js";
                var p = j.getElementsByTagName("script")[0];
                p.parentNode.insertBefore(q, p)
            })()
        } else {
            g.ajax({url: "//platform.twitter.com/widgets.js", dataType: "script", cache: true})
        }
    }, digg: function (m) {
        var n = m.options.buttons.digg;
        g(m.element).find(".buttons").append('<div class="button digg"><a class="DiggThisButton ' + n.type + '" rel="nofollow external" href="http://digg.com/submit?url=' + encodeURIComponent((n.url !== "" ? n.url : m.options.url)) + '"></a></div>');
        var o = 0;
        if (typeof __DBW === "undefined" && o == 0) {
            o = 1;
            (function () {
                var q = j.createElement("SCRIPT"), p = j.getElementsByTagName("SCRIPT")[0];
                q.type = "text/javascript";
                q.async = true;
                q.src = "//widgets.digg.com/buttons.js";
                p.parentNode.insertBefore(q, p)
            })()
        }
    }, delicious: function (o) {
        if (o.options.buttons.delicious.size == "tall") {
            var p = "width:50px;", n = "height:35px;width:50px;font-size:15px;line-height:35px;", m = "height:18px;line-height:18px;margin-top:3px;"
        } else {
            var p = "width:93px;", n = "float:right;padding:0 3px;height:20px;width:26px;line-height:20px;", m = "float:left;height:20px;line-height:20px;"
        }
        var q = o.shorterTotal(o.options.count.delicious);
        if (typeof q === "undefined") {
            q = 0
        }
        g(o.element).find(".buttons").append('<div class="button delicious"><div style="' + p + 'font:12px Arial,Helvetica,sans-serif;cursor:pointer;color:#666666;display:inline-block;float:none;height:20px;line-height:normal;margin:0;padding:0;text-indent:0;vertical-align:baseline;"><div style="' + n + 'background-color:#fff;margin-bottom:5px;overflow:hidden;text-align:center;border:1px solid #ccc;border-radius:3px;">' + q + '</div><div style="' + m + 'display:block;padding:0;text-align:center;text-decoration:none;width:50px;background-color:#7EACEE;border:1px solid #40679C;border-radius:3px;color:#fff;"><img src="http://www.delicious.com/static/img/delicious.small.gif" height="10" width="10" alt="Delicious" /> Add</div></div></div>');
        g(o.element).find(".delicious").on("click", function () {
            o.openPopup("delicious")
        })
    }, stumbleupon: function (m) {
        var n = m.options.buttons.stumbleupon;
        g(m.element).find(".buttons").append('<div class="button stumbleupon"><su:badge layout="' + n.layout + '" location="' + (n.url !== "" ? n.url : m.options.url) + '"></su:badge></div>');
        var o = 0;
        if (typeof STMBLPN === "undefined" && o == 0) {
            o = 1;
            (function () {
                var p = j.createElement("script");
                p.type = "text/javascript";
                p.async = true;
                p.src = "//platform.stumbleupon.com/1/widgets.js";
                var q = j.getElementsByTagName("script")[0];
                q.parentNode.insertBefore(p, q)
            })();
            s = i.setTimeout(function () {
                if (typeof STMBLPN !== "undefined") {
                    STMBLPN.processWidgets();
                    clearInterval(s)
                }
            }, 500)
        } else {
            STMBLPN.processWidgets()
        }
    }, linkedin: function (m) {
        var n = m.options.buttons.linkedin;
        g(m.element).find(".buttons").append('<div class="button linkedin"><script type="in/share" data-url="' + (n.url !== "" ? n.url : m.options.url) + '" data-counter="' + n.counter + '"><\/script></div>');
        var o = 0;
        if (typeof i.IN === "undefined" && o == 0) {
            o = 1;
            (function () {
                var p = j.createElement("script");
                p.type = "text/javascript";
                p.async = true;
                p.src = "//platform.linkedin.com/in.js";
                var q = j.getElementsByTagName("script")[0];
                q.parentNode.insertBefore(p, q)
            })()
        } else {
            i.IN.init()
        }
    }, pinterest: function (m) {
        var n = m.options.buttons.pinterest;
        g(m.element).find(".buttons").append('<div class="button pinterest"><a href="http://pinterest.com/pin/create/button/?url=' + (n.url !== "" ? n.url : m.options.url) + "&media=" + n.media + "&description=" + n.description + '" class="pin-it-button" count-layout="' + n.layout + '">Pin It</a></div>');
        (function () {
            var o = j.createElement("script");
            o.type = "text/javascript";
            o.async = true;
            o.src = "//assets.pinterest.com/js/pinit.js";
            var p = j.getElementsByTagName("script")[0];
            p.parentNode.insertBefore(o, p)
        })()
    }}, d = {googlePlus: function () {
    }, facebook: function () {
        fb = i.setInterval(function () {
            if (typeof FB !== "undefined") {
                FB.Event.subscribe("edge.create", function (m) {
                    _gaq.push(["_trackSocial", "facebook", "like", m])
                });
                FB.Event.subscribe("edge.remove", function (m) {
                    _gaq.push(["_trackSocial", "facebook", "unlike", m])
                });
                FB.Event.subscribe("message.send", function (m) {
                    _gaq.push(["_trackSocial", "facebook", "send", m])
                });
                clearInterval(fb)
            }
        }, 1000)
    }, twitter: function () {
        tw = i.setInterval(function () {
            if (typeof twttr !== "undefined") {
                twttr.events.bind("tweet", function (m) {
                    if (m) {
                        _gaq.push(["_trackSocial", "twitter", "tweet"])
                    }
                });
                clearInterval(tw)
            }
        }, 1000)
    }, digg: function () {
    }, delicious: function () {
    }, stumbleupon: function () {
    }, linkedin: function () {
        function m() {
            _gaq.push(["_trackSocial", "linkedin", "share"])
        }
    }, pinterest: function () {
    }}, a = {googlePlus: function (m) {
        i.open("https://plus.google.com/share?hl=" + m.buttons.googlePlus.lang + "&url=" + encodeURIComponent((m.buttons.googlePlus.url !== "" ? m.buttons.googlePlus.url : m.url)), "", "toolbar=0, status=0, width=900, height=500")
    }, facebook: function (m) {
        i.open("http://www.facebook.com/sharer/sharer.php?u=" + encodeURIComponent((m.buttons.facebook.url !== "" ? m.buttons.facebook.url : m.url)) + "&t=" + m.text + "", "", "toolbar=0, status=0, width=900, height=500")
    }, twitter: function (m) {
        i.open("https://twitter.com/intent/tweet?text=" + encodeURIComponent(m.text) + "&url=" + encodeURIComponent((m.buttons.twitter.url !== "" ? m.buttons.twitter.url : m.url)) + (m.buttons.twitter.via !== "" ? "&via=" + m.buttons.twitter.via : ""), "", "toolbar=0, status=0, width=650, height=360")
    }, digg: function (m) {
        i.open("http://digg.com/tools/diggthis/submit?url=" + encodeURIComponent((m.buttons.digg.url !== "" ? m.buttons.digg.url : m.url)) + "&title=" + m.text + "&related=true&style=true", "", "toolbar=0, status=0, width=650, height=360")
    }, delicious: function (m) {
        i.open("http://www.delicious.com/save?v=5&noui&jump=close&url=" + encodeURIComponent((m.buttons.delicious.url !== "" ? m.buttons.delicious.url : m.url)) + "&title=" + m.text, "delicious", "toolbar=no,width=550,height=550")
    }, stumbleupon: function (m) {
        i.open("http://www.stumbleupon.com/badge/?url=" + encodeURIComponent((m.buttons.delicious.url !== "" ? m.buttons.delicious.url : m.url)), "stumbleupon", "toolbar=no,width=550,height=550")
    }, linkedin: function (m) {
        i.open("https://www.linkedin.com/cws/share?url=" + encodeURIComponent((m.buttons.delicious.url !== "" ? m.buttons.delicious.url : m.url)) + "&token=&isFramed=true", "linkedin", "toolbar=no,width=550,height=550")
    }, pinterest: function (m) {
        i.open("http://pinterest.com/pin/create/button/?url=" + encodeURIComponent((m.buttons.pinterest.url !== "" ? m.buttons.pinterest.url : m.url)) + "&media=" + encodeURIComponent(m.buttons.pinterest.media) + "&description=" + m.buttons.pinterest.description, "pinterest", "toolbar=no,width=700,height=300")
    }};

    function k(n, m) {
        this.element = n;
        this.options = g.extend(true, {}, f, m);
        this.options.share = m.share;
        this._defaults = f;
        this._name = h;
        this.init()
    }

    k.prototype.init = function () {
        var m = this;
        if (this.options.urlCurl !== "") {
            c.googlePlus = this.options.urlCurl + "?url={url}&type=googlePlus";
            c.stumbleupon = this.options.urlCurl + "?url={url}&type=stumbleupon"
        }
        g(this.element).addClass(this.options.className);
        if (typeof g(this.element).data("title") !== "undefined") {
            this.options.title = g(this.element).attr("data-title")
        }
        if (typeof g(this.element).data("url") !== "undefined") {
            this.options.url = g(this.element).data("url")
        }
        if (typeof g(this.element).data("text") !== "undefined") {
            this.options.text = g(this.element).data("text")
        }
        g.each(this.options.share, function (n, o) {
            if (o === true) {
                m.options.shareTotal++
            }
        });
        if (m.options.enableCounter === true) {
            g.each(this.options.share, function (n, p) {
                if (p === true) {
                    try {
                        m.getSocialJson(n)
                    } catch (o) {
                    }
                }
            })
        } else {
            if (m.options.template !== "") {
                this.options.render(this, this.options)
            } else {
                this.loadButtons()
            }
        }
        g(this.element).hover(function () {
            if (g(this).find(".buttons").length === 0 && m.options.enableHover === true) {
                m.loadButtons()
            }
            m.options.hover(m, m.options)
        }, function () {
            m.options.hide(m, m.options)
        });
        g(this.element).click(function () {
            m.options.click(m, m.options);
            return false
        })
    };
    k.prototype.loadButtons = function () {
        var m = this;
        g(this.element).append('<div class="buttons"></div>');
        g.each(m.options.share, function (n, o) {
            if (o == true) {
                l[n](m);
                if (m.options.enableTracking === true) {
                    d[n]()
                }
            }
        })
    };
    k.prototype.getSocialJson = function (o) {
        var m = this, p = 0, n = c[o].replace("{url}", encodeURIComponent(this.options.url));
        if (this.options.buttons[o].urlCount === true && this.options.buttons[o].url !== "") {
            n = c[o].replace("{url}", this.options.buttons[o].url)
        }
        if (n != "" && m.options.urlCurl !== "") {
            g.getJSON(n, function (r) {
                if (typeof r.count !== "undefined") {
                    var q = r.count + "";
                    q = q.replace("\u00c2\u00a0", "");
                    p += parseInt(q, 10)
                } else {
                    if (r.data && r.data.length > 0 && typeof r.data[0].total_count !== "undefined") {
                        p += parseInt(r.data[0].total_count, 10)
                    } else {
                        if (typeof r[0] !== "undefined") {
                            p += parseInt(r[0].total_posts, 10)
                        } else {
                            if (typeof r[0] !== "undefined") {
                            }
                        }
                    }
                }
                m.options.count[o] = p;
                m.options.total += p;
                m.renderer();
                m.rendererPerso()
            }).error(function () {
                m.options.count[o] = 0;
                m.rendererPerso()
            })
        } else {
            m.renderer();
            m.options.count[o] = 0;
            m.rendererPerso()
        }
    };
    k.prototype.rendererPerso = function () {
        var m = 0;
        for (e in this.options.count) {
            m++
        }
        if (m === this.options.shareTotal) {
            this.options.render(this, this.options)
        }
    };
    k.prototype.renderer = function () {
        var n = this.options.total, m = this.options.template;
        if (this.options.shorterTotal === true) {
            n = this.shorterTotal(n)
        }
        if (m !== "") {
            m = m.replace("{total}", n);
            g(this.element).html(m)
        } else {
            g(this.element).html('<div class="box"><a class="count" href="#">' + n + "</a>" + (this.options.title !== "" ? '<a class="share" href="#">' + this.options.title + "</a>" : "") + "</div>")
        }
    };
    k.prototype.shorterTotal = function (m) {
        if (m >= 1000000) {
            m = (m / 1000000).toFixed(2) + "M"
        } else {
            if (m >= 1000) {
                m = (m / 1000).toFixed(1) + "k"
            }
        }
        return m
    };
    k.prototype.openPopup = function (m) {
        a[m](this.options);
        if (this.options.enableTracking === true) {
            var n = {googlePlus: {site: "Google", action: "+1"}, facebook: {site: "facebook", action: "like"}, twitter: {site: "twitter", action: "tweet"}, digg: {site: "digg", action: "add"}, delicious: {site: "delicious", action: "add"}, stumbleupon: {site: "stumbleupon", action: "add"}, linkedin: {site: "linkedin", action: "share"}, pinterest: {site: "pinterest", action: "pin"}};
            _gaq.push(["_trackSocial", n[m].site, n[m].action])
        }
    };
    k.prototype.simulateClick = function () {
        var m = g(this.element).html();
        g(this.element).html(m.replace(this.options.total, this.options.total + 1))
    };
    k.prototype.update = function (m, n) {
        if (m !== "") {
            this.options.url = m
        }
        if (n !== "") {
            this.options.text = n
        }
    };
    g.fn[h] = function (n) {
        var m = arguments;
        if (n === b || typeof n === "object") {
            return this.each(function () {
                if (!g.data(this, "plugin_" + h)) {
                    g.data(this, "plugin_" + h, new k(this, n))
                }
            })
        } else {
            if (typeof n === "string" && n[0] !== "_" && n !== "init") {
                return this.each(function () {
                    var o = g.data(this, "plugin_" + h);
                    if (o instanceof k && typeof o[n] === "function") {
                        o[n].apply(o, Array.prototype.slice.call(m, 1))
                    }
                })
            }
        }
    }
})(jQuery, window, document);